Bug 721348 - (CVE-2011-2522) CVE-2011-2522 samba (SWAT): Absent CSRF protection in various Samba web configuration formulars
CVE-2011-2522 samba (SWAT): Absent CSRF protection in various Samba web confi...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20110726,reported=20110708,sou...
: Security
Depends On: 722551 722552 722553 722555 722556 722560 722561 725890
Blocks: 721358
  Show dependency treegraph
 
Reported: 2011-07-14 06:54 EDT by Jan Lieskovsky
Modified: 2016-11-08 10:53 EST (History)
10 users (show)

See Also:
Fixed In Version: samba 3.5.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-30 03:22:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2011-07-14 06:54:36 EDT
It was found that the different user screens (HTML forms) of the Samba Web Administration Tool suite were missing protection against cross-site request forgery (CSRF) attacks. A remote attacker could provide a specially-crafted URL, which once visited by an authenticated Samba SWAT user could lead to unauthorized commands execution with the privileges of that user (for example shut down or start the samba daemons, add or remove shares, printers, user accounts if the victim authenticated as privileged user to Samba SWAT).

Upstream bug report:
[1] https://bugzilla.samba.org/show_bug.cgi?id=8290 (not public yet)

Acknowledgements:

Red Hat would like to thank the Samba project for reporting this issue.
Upstream acknowledges Yoshihiro Ishikawa of LAC Co., Ltd. as the original reporter.
Comment 2 Jan Lieskovsky 2011-07-14 07:04:56 EDT
This issue affects the versions of the samba package, as shipped with Red Hat Enterprise Linux 4, 5, and 6.

--

This issue affects the version of the samba3x package, as shipped with Red Hat Enterprise Linux 5.

--

This issue does NOT affect the version of the samba4 package, as shipped with
Red Hat Enterprise Linux 6.

--

This issue affects the versions of the samba package, as shipped with Fedora release of 14 and 15.
Comment 15 Vincent Danen 2011-07-26 17:08:38 EDT
Created samba tracking bugs for this issue

Affects: fedora-all [bug 725890]
Comment 16 errata-xmlrpc 2011-08-29 13:27:23 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:1220 https://rhn.redhat.com/errata/RHSA-2011-1220.html
Comment 17 errata-xmlrpc 2011-08-29 13:27:47 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2011:1219 https://rhn.redhat.com/errata/RHSA-2011-1219.html
Comment 18 errata-xmlrpc 2011-08-29 13:38:23 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1221 https://rhn.redhat.com/errata/RHSA-2011-1221.html

Note You need to log in before you can comment on or make changes to this bug.